keystate_list_cmd.h File Reference
`#include "db/key_data.h"`

Go to the source code of this file.

## Functions

const char * | map_keystate (key_data_t *key)

## Variables

struct cmd_func_block | key_list_funcblock

## Function Documentation

## map_keystate()

const char * map_keystate | ( | key_data_t * | key | ) |

extern

Human readable keystate in 1.x speak

Parameters

  key | key to evaluate

Returns
  : state as string

Definition at line 114 of file keystate_list_cmd.c.

References KEY_DATA_ROLE_CSK, KEY_DATA_ROLE_KSK, KEY_DATA_ROLE_ZSK, KS_MIX, KS_UNK, and statenames.

## Variable Documentation

## key_list_funcblock

struct cmd_func_block key_list_funcblock

extern

Definition at line 445 of file keystate_list_cmd.c.